Skip to content

Get Relam details for a specific IdP

GET
/api/v1/sso/organizations/{organization_id}/realms/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/{organization_id}/realms/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns a list of SSO realms associated with the specified organization. Each realm entry includes details such as ID, name, status, and timestamps for creation and updates.

organization_id
required
string format: uuid

Example

019a7752-8aaa-7042-9c3e-bcbbe47f5e67

Unique identifier of the organization.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successfully retrieved the list of SSO realms.

Media typeapplication/json
Array<object>
object
ern

E2E Resource Name (ERN) of the realm.

string
organization_detail

Details of the organization associated with this realm.

object
id
string format: uuid
ern
string
org_ref
string
name
string
email
string
nullable
domain
string
nullable
customer_id
string
status
string
Allowed values: ACTIVE INACTIVE
sso_enabled
boolean
created_at
string format: date-time
updated_at
string format: date-time
name

Display name of the realm or IdP configuration.

string
realm_type

Type of SSO realm configured.

string
Allowed values: ENTERPRISE PUBLIC
entity_id

The Entity ID of the SAML 2.0 realm.

string format: uri
acs_url

Assertion Consumer Service (ACS) endpoint URL for SAML authentication.

string format: uri
realm_id

Unique identifier for the SSO realm.

string format: uuid
status
string
Allowed values: ACTIVE INACTIVE
created_at
string format: date-time
updated_at
string format: date-time

Example

[
{
"ern": "ern:e2e:sso::019a7752-8aaa-7042-9c3e-bcbbe47f5234:realm/019a7752-8b35-71fc-97a3-047de7132f66",
"organization_detail": {
"id": "019a7752-8aaa-7042-9c3e-bcbbe47f5e423",
"ern": "ern:e2e:organizations::master-account:organization/019a7752-8aaa-7042-9c3e-bcbbe47f5e423",
"org_ref": "612214921343",
"name": "idp-778344",
"email": null,
"domain": null,
"customer_id": "1790",
"status": "ACTIVE",
"sso_enabled": true,
"created_at": "2025-11-12T09:08:09.517189Z",
"updated_at": "2025-11-12T09:09:41.344411Z"
},
"name": "idp-778344",
"realm_type": "ENTERPRISE",
"entity_id": "https://myaccount.e2enetworks.net/auth/realms/019a7752-8b35-71fc-97a3-047de7132f66",
"acs_url": "https://myaccount.e2enetworks.net/auth/realms/019a7752-8b35-71fc-97a3-047de7132f66/broker/saml/endpoint",
"realm_id": "019a7752-8b35-71fc-97a3-047de7132f66",
"status": "ACTIVE",
"created_at": "2025-11-12T09:08:09.654675Z",
"updated_at": "2025-11-12T09:08:32.396138Z"
}
]